Bug 1394836 - Retire Synaptics Driver
Summary: Retire Synaptics Driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-14 14:44 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-drv-synaptics-1.9.0-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:33 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-11-14 14:44:32 UTC
This is a tracking bug for Change: Retire Synaptics Driver
For more details, see: https://fedoraproject.org//wiki/Changes/RetireSynapticsDriver

Retire the xorg-x11-drv-synaptics driver and remove it from user's install.

Comment 1 Peter Hutterer 2016-11-20 04:05:11 UTC
xorg-x11-drv-synaptics-1.9.0-2.fc26 and xorg-x11-drv-libinput-0.22.0-3.fc26 are available in rawhide now.

Comment 2 Fedora End Of Life 2017-02-28 10:36:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Brendan Shephard 2017-04-18 08:53:51 UTC
Can someone verify if retiring this driver would be causing this issue: https://bugzilla.redhat.com/show_bug.cgi?id=1442699


In addition to that issue, the performance of my synaptics touchpad is terrible under Fedora 26 alpha. 



As you can see here from the output of libinput-debug-events, moving relatively consistently across the touchpad from right > left has random sporadic moments where it jumps across the screen. (Note the -10.95 and -41.97. Also some sporadic Y axis movements in there as well).


 event16  POINTER_MOTION   +58.00s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.01s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.02s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.02s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.03s	 -6.09/  0.00
 event16  POINTER_MOTION   +58.04s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.05s	 -8.52/  0.00
 event16  POINTER_MOTION   +58.05s	 -7.30/ -1.22
 event16  POINTER_MOTION   +58.06s	-10.95/ -3.65
 event16  POINTER_MOTION   +58.07s	 -6.09/ -1.22
 event16  POINTER_MOTION   +58.08s	 -7.30/ -2.43
 event16  POINTER_MOTION   +58.08s	 -7.30/ -2.43
 event16  POINTER_MOTION   +58.09s	 -8.52/  0.00
 event16  POINTER_MOTION   +58.09s	  0.00/-13.99
 event16  POINTER_MOTION   +58.10s	-41.97/ -7.00
 event16  POINTER_MOTION   +58.11s	-10.95/ -1.22
 event16  POINTER_MOTION   +58.11s	 -6.09/ -1.22
 event16  POINTER_MOTION   +58.12s	 -7.30/ -2.43
 event16  POINTER_MOTION   +58.13s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.13s	 -7.30/ -1.22
 event16  POINTER_MOTION   +58.14s	 -7.30/ -1.22
 event16  POINTER_MOTION   +58.15s	-10.95/ -1.22
 event16  POINTER_MOTION   +58.16s	 -7.30/  0.00
 event16  POINTER_MOTION   +58.16s	-10.95/ -1.22
 event16  POINTER_MOTION   +58.17s	 -6.09/  0.00
 event16  POINTER_MOTION   +58.18s	 -8.52/  0.00
 event16  POINTER_MOTION   +58.19s	 -8.52/  0.00
 event16  POINTER_MOTION   +58.19s	-10.95/  0.00
 event16  POINTER_MOTION   +58.20s	 -7.30/ -1.22
 event16  POINTER_MOTION   +58.21s	-10.95/  0.00
 event16  POINTER_MOTION   +58.22s	 -6.09/  0.00
 event16  POINTER_MOTION   +58.22s	 -8.52/  0.00
 event16  POINTER_MOTION   +58.23s	 -7.30/ -1.22
 event16  POINTER_MOTION   +58.24s	 -8.52/  0.00
 event16  POINTER_MOTION   +58.25s	 -8.52/  0.00

Comment 4 Peter Hutterer 2017-04-27 05:25:25 UTC
(In reply to Brendan Shephard from comment #3)
> Can someone verify if retiring this driver would be causing this issue:
> https://bugzilla.redhat.com/show_bug.cgi?id=1442699

no, that's a kernel issue.

> In addition to that issue, the performance of my synaptics touchpad is
> terrible under Fedora 26 alpha. 
> 
> As you can see here from the output of libinput-debug-events, moving
> relatively consistently across the touchpad from right > left has random
> sporadic moments where it jumps across the screen. (Note the -10.95 and
> -41.97. Also some sporadic Y axis movements in there as well).

we've seen cursor jumps caused by the kernel with the rmi4 patches, there's a high chance that you're getting hit by that.

Comment 5 Jan Kurik 2017-05-17 09:13:10 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 6 Simon Clark 2017-07-01 15:58:37 UTC
I have added release notes text for this change to the draft F26 Release Notes here: https://pagure.io/release-notes/c/df1bcfdf54a93da9da65c38fb38808a244a7902a?branch=f26

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 7 Peter Hutterer 2017-07-03 00:54:18 UTC
ACK to the release note, thank you!


Note You need to log in before you can comment on or make changes to this bug.